<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (15) on Fri Jun 18 20:43:06 CEST 2021 -->
<title>S-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-06-18">
<meta name="description" content="index: S">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="split-index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Library.html#setAddress(fr.iut.librarymanagement.domain.Address)">setAddress(Address)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Library.html" title="class in fr.iut.librarymanagement.domain">Library</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Address.html#setAddress(java.lang.String)">setAddress(String)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Address.html" title="class in fr.iut.librarymanagement.domain">Address</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/User.html#setAge(java.lang.Double)">setAge(Double)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/User.html" title="class in fr.iut.librarymanagement.domain">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Book.html#setAuthors(java.util.List)">setAuthors(List&lt;ObjectId&gt;)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Book.html" title="class in fr.iut.librarymanagement.domain">Book</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Author.html#setBiography(java.lang.String)">setBiography(String)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Author.html" title="class in fr.iut.librarymanagement.domain">Author</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Address.html#setCity(java.lang.String)">setCity(String)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Address.html" title="class in fr.iut.librarymanagement.domain">Address</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Opinion.html#setComment(java.lang.String)">setComment(String)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Opinion.html" title="class in fr.iut.librarymanagement.domain">Opinion</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Author.html#setFirstname(java.lang.String)">setFirstname(String)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Author.html" title="class in fr.iut.librarymanagement.domain">Author</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/User.html#setFirstname(java.lang.String)">setFirstname(String)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/User.html" title="class in fr.iut.librarymanagement.domain">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Author.html#setId(org.bson.types.ObjectId)">setId(ObjectId)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Author.html" title="class in fr.iut.librarymanagement.domain">Author</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Book.html#setId(org.bson.types.ObjectId)">setId(ObjectId)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Book.html" title="class in fr.iut.librarymanagement.domain">Book</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Library.html#setId(org.bson.types.ObjectId)">setId(ObjectId)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Library.html" title="class in fr.iut.librarymanagement.domain">Library</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/User.html#setId(org.bson.types.ObjectId)">setId(ObjectId)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/User.html" title="class in fr.iut.librarymanagement.domain">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Book.html#setIsbn(java.lang.Long)">setIsbn(Long)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Book.html" title="class in fr.iut.librarymanagement.domain">Book</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Author.html#setLastname(java.lang.String)">setLastname(String)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Author.html" title="class in fr.iut.librarymanagement.domain">Author</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/User.html#setLastname(java.lang.String)">setLastname(String)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/User.html" title="class in fr.iut.librarymanagement.domain">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/User.html#setLibraries(java.util.List)">setLibraries(List&lt;ObjectId&gt;)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/User.html" title="class in fr.iut.librarymanagement.domain">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/LibraryQuantityAssociation.html#setLibrary(org.bson.types.ObjectId)">setLibrary(ObjectId)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/LibraryQuantityAssociation.html" title="class in fr.iut.librarymanagement.domain">LibraryQuantityAssociation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Book.html#setLibraryQuantityAssociations(java.util.List)">setLibraryQuantityAssociations(List&lt;LibraryQuantityAssociation&gt;)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Book.html" title="class in fr.iut.librarymanagement.domain">Book</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Library.html#setName(java.lang.String)">setName(String)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Library.html" title="class in fr.iut.librarymanagement.domain">Library</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Address.html#setNumber(int)">setNumber(int)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Address.html" title="class in fr.iut.librarymanagement.domain">Address</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Book.html#setOpinions(java.util.List)">setOpinions(List&lt;Opinion&gt;)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Book.html" title="class in fr.iut.librarymanagement.domain">Book</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Address.html#setPostal_code(int)">setPostal_code(int)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Address.html" title="class in fr.iut.librarymanagement.domain">Address</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Opinion.html#setPseudo(java.lang.String)">setPseudo(String)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Opinion.html" title="class in fr.iut.librarymanagement.domain">Opinion</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/LibraryQuantityAssociation.html#setQuantity(int)">setQuantity(int)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/LibraryQuantityAssociation.html" title="class in fr.iut.librarymanagement.domain">LibraryQuantityAssociation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Opinion.html#setRating(java.lang.Double)">setRating(Double)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Opinion.html" title="class in fr.iut.librarymanagement.domain">Opinion</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Book.html#setSummary(java.lang.String)">setSummary(String)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Book.html" title="class in fr.iut.librarymanagement.domain">Book</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Book.html#setTitle(java.lang.String)">setTitle(String)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Book.html" title="class in fr.iut.librarymanagement.domain">Book</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Book.html#setUsers(java.util.List)">setUsers(List&lt;ObjectId&gt;)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Book.html" title="class in fr.iut.librarymanagement.domain">Book</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
